from Products.CMFDefault import Portal
import WhoZnext
import Bar
import Products.CMFDefault

from Products.CMFCore import utils, CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory
import WhoZnextPermissions

import sys

this_module = sys.modules[ __name__ ]

contentConstructors = (WhoZnext.manage_addWhoZnext
					   ,Bar.manage_addBar)
contentClasses = (WhoZnext.WhoZnext, Bar.Bar)

z_bases = utils.initializeBasesPhase1( contentClasses, this_module )

# This is used by a script (external method) that can be run
# to set up Foos in an existing CMF Site instance.
foo_globals=globals()

# Make the www available as DirectoryViews
registerDirectory('skins', globals())

def initialize(context):
	utils.initializeBasesPhase2( z_bases, context )
	context.registerHelpTitle('WhoZnext Help')
	context.registerHelp(directory='help')
	utils.ContentInit( 'WhoZnext'
					   , content_types = contentClasses
					   , permission = CMFCorePermissions.AddPortalContent
					   , extra_constructors = contentConstructors
					   , fti = WhoZnext.WhoZnext
					   ).initialize( context )

	
